<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>HomePage</title>
    <link rel="stylesheet" href="/css/styles.css" />
  </head>
  <body>
    <div class="topnav">
      <a class="active" href="/homepage">Home</a>
      <a href="/create">Create User</a>
    </div>

    <style>
      table {
        border-collapse: collapse;
        width: 100%;
      }
      
      th, td {
        padding: 8px;
        text-align: left;
        border-bottom: 1px solid #ddd;
      }
      
      tr:hover {background-color: coral;}
      </style>
      </head>
      <body>
      <div><%= JSON.stringify(listUsers) %></div>
      <h2>List Users</h2> 
      <div class="table-container">
        <table >
          <tr>
            <th>Id</th>
            <th>Email</th>
            <th>Name</th>
            <th>City</th>
            <th>Action</th>
          </tr>

          <!-- FOR LOOP -->
          <!--<% for (let i=0; i< listUsers.length; i++) {%>
            <tr>
              <td><%=listUsers[i].id %></td>
              <td><%=listUsers[i].email %></td>
              <td><%=listUsers[i].name %></td>
              <td><%=listUsers[i].city %></td>
              
              <td>
                <button>Edit</button>
                <button>Delete</button>
              </td>
              <% } %>
            </tr>      -->  
            
            <!-- FOR EACH LOOP -->
            <% listUsers.forEach(function(user) { %>
              <tr>
                <td><%= user.id %></td>
                <td><%= user.email %></td>
                <td><%= user.name %></td>
                <td><%= user.city %></td>
                
                <td>
                  <a href="/update/<%= user.id %>"> Edit</a>
                  <a href="/delete/<%= user.id %>"> Delete</a>
                  
                </td>
                <% }); %>
              </tr>        
        </table>
      </div>
  </body>
</html>
